
Katello - Bug #5555

hammer: unable to associate entities to orgs via cli

05/02/2014 03:03 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1089635 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1089635

Description of problem:

Unable to associate various entities to orgs via cli.

No association actually happens when trying the below example commands via hammer cli

1) hammer organization add-smart-proxy --name "ACME_Corporation" --smart-proxy "<proxy-hostname>

3)hammer organization add-user --id 1 --user-id 4

The user has been associated

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140404.0/

How reproducible:

Try associating entites to org via CLI.

Trying to check the association via web-UI shows that the association was not successful.

Steps to Reproduce:

1.

2.

3.

Actual results:

Association of entities is not successful

Expected results:

Association of entities needs to be successful

Additional info:

Cannot check the association of various entities via CLI itself due to the bug

https://bugzilla.redhat.com/show_bug.cgi?id=1089631

Associated revisions

Revision 5dfda340 - 06/16/2014 05:04 PM - dustin tsang

Fixes #5555 - fix org update action's apipie param

In the OrganizationController v2 update action, the param_group

resource contained hash named resource. This was not substituted

for organization. As a result hammer-cli-katello, through

api-bindings, was incorrectly expecting and passing resource instead
of organization to the update action. Subsequently no

organizations were being updated.

The param_group was redefined on the update action so that the param

hash could have the correct name, :organization.

Revision 89865209 - 06/17/2014 02:35 PM - Adam Price

Merge pull request #4189 from dustint-rh/org_api_apipie_param_group_resource_substitution

Fixes #5555 - fix org update action's apipie param

History

#1 - 05/20/2014 05:31 PM - Dominic Cleal

- Status changed from New to Resolved

Seems to be working, marking as resolved.

[root@foreman ~]# hammer organization create --name foo

Organization created

[root@foreman ~]# hammer organization list

---|-----

ID | NAME

---|-----

1  | foo 

---|-----

[root@foreman ~]# hammer proxy list

---|---------------------|---------------------------------

ID | NAME                | URL                             

---|---------------------|---------------------------------

1  | foreman.example.com | https://foreman.example.com:8443

---|---------------------|---------------------------------

[root@foreman ~]# hammer organization add-smart-proxy --name foo --smart-proxy foreman.example.com

 Log shows:

Started PUT "/api/organizations/1" for ::1 at 2014-05-20 18:28:40 +0100

Processing by Api::V2::OrganizationsController#update as JSON

  Parameters: {"organization"=>{"smart_proxy_ids"=>["1"]}, "apiv"=>"v2", "id"=>"1"}

Authorized user admin(Admin User)

Expire fragment views/tabs_and_title_records-3 (0.6ms)

Completed 200 OK in 258ms (Views: 0.6ms | ActiveRecord: 0.0ms)

 UI via org edit confirms it.

[root@foreman ~]# hammer organization add-user --id 1 --user-id 4

The user has been associated

 
Started PUT "/api/organizations/1" for ::1 at 2014-05-20 18:29:34 +0100

Processing by Api::V2::OrganizationsController#update as JSON

  Parameters: {"organization"=>{"user_ids"=>["4"]}, "apiv"=>"v2", "id"=>"1"}

Authorized user admin(Admin User)

Expire fragment views/tabs_and_title_records-3 (0.5ms)

Completed 200 OK in 167ms (Views: 0.7ms | ActiveRecord: 0.0ms)

#2 - 05/21/2014 05:50 PM - Bryan Kearney

- Project changed from Hammer CLI to Katello

- Status changed from Resolved to New

- Assignee set to dustin tsang

- Triaged set to No

#3 - 05/21/2014 05:52 PM - Bryan Kearney

This only seems to occur when katello is installer, moving over to katello

#4 - 05/27/2014 05:09 PM - Eric Helms

- Target version set to 44

#5 - 05/28/2014 05:02 PM - Eric Helms

05/17/2024 2/3



- Status changed from New to Assigned

- Target version changed from 44 to 45

- Triaged changed from No to Yes

#6 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48

#7 - 06/17/2014 02:52 PM - dustin tsang

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:5dfda340f90f93039de436203b6b5b2f66186c6a.

#8 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
